Dialogs module - Defect #532

globals.DIALOGS.showForminModalDialog( does not work with runtime form argument.

07/18/2012 01:15 PM - Sanneke Aleman

Status: Closed Start date:
Priority: Urgent Due date:
Assignee: % Done:
Category: Estimated time:
Target version: 1.5.2

Browser (if web

client):

Description

If you use globals.DIALOGS.showFormInModalDialog(forms.DemoFIMD, -1, -1, -1, -1, 'FIMD");
Instead of globals.DIALOGS.showFormIinModalDialog('DemoFIMD', -1, -1, -1, -1, 'FIMD');

You will get:

TypeError: Cannot set property "windowName" of undefined to "W_54809A08BE7C4624B768C96B74C8F729"

(C:\Servoy_workspace\6.1\mod_dialog\globals.js#115)

TypeError: Cannot set property "windowName" of undefined to "W_54809A08BE7C4624B768C96B74C8F729"

(C:\Servoy_workspace\6.1\mod_dialog\globals.js#115)
at C:\Servoy_workspace\6.1\mod_dialog\globals.js:115 (showDialog)
at C:\Servoy_workspace\6.1\mod_dialog\globals.js:351
at C:\Servoy_workspace\6.1\DemoDialog\forms\main.js:58 (onAction)

According the JSdoc it should work.

History

#1 - 07/26/2012 10:46 AM - Sanneke Aleman
- File patch_form.txt added

Created patch for the problem

#2 - 07/27/2012 12:06 PM - Robert Ivens
- Status changed from New to Closed

- % Done changed from 0 to 100

Patch applied, will be available in version 1.5.1.

#3 - 07/27/2012 12:14 PM - Robert Ivens

- Target version set to 1.5.2

Files

patch_form.ixt 1.29 KB
